Skip to content
Last updated

Facets list

api-version: 1.0

Retrieves the list of facets.

GET  /{collectionId}/{storageId}/_api/rest/facets

Parameters

NameInRequiredTypeDescription
collectionIdpathtruestringThe ID of the storage collection.
storageIdpathtruestringThe ID of the tenant.

Responses

Success 200

NameTypeDescription
countintegerThe number of returned values.
valuesFacetThe list of facets.

Error 4xx

NameTypeDescription
messagestringThe error message.
outputOperationResultOutputThe result output.
typeOperationResultTypeThe result type.
dataOperationErrorThe list of errors.

Examples

Get the list of facets

Request

GET https://demo.symbioworld.com/pz/showcase/_api/rest/facets/

Response (200 OK)

{
    "count": 41,
    "values": [
        {
            "name": "automation",
            "displayName": "Automation",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/automation/views"
        },
        {
            "name": "bestPracticeTasks",
            "displayName": "Best practice tasks",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/bestPracticeTasks/views"
        },
        {
            "name": "capability",
            "displayName": "Capability",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/capability/views"
        },
        {
            "name": "cultures",
            "displayName": "Languages",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/cultures/views"
        },
        {
            "name": "customerjourneystages",
            "displayName": "Customer journey stages",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/customerjourneystages/views"
        },
        {
            "name": "customerstructure",
            "displayName": "Customers",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/customerstructure/views"
        },
        {
            "name": "docContent",
            "displayName": "DocContent",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/docContent/views"
        },
        {
            "name": "docTemplates",
            "displayName": "Document Templates",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/docTemplates/views"
        },
        {
            "name": "globaltasks",
            "displayName": "Task repository",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/globaltasks/views"
        },
        {
            "name": "groups",
            "displayName": "Groups",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/groups/views"
        },
        {
            "name": "inputsoutputs",
            "displayName": "Inputs/Outputs",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/inputsoutputs/views"
        },
        {
            "name": "it",
            "displayName": "Systems",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/it/views"
        },
        {
            "name": "knowledge",
            "displayName": "Documents",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/knowledge/views"
        },
        {
            "name": "kpi",
            "displayName": "Key Performance Indicators",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/kpi/views"
        },
        {
            "name": "learning",
            "displayName": "Learning",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/learning/views"
        },
        {
            "name": "locations",
            "displayName": "Locations",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/locations/views"
        },
        {
            "name": "measures",
            "displayName": "Measures",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/measures/views"
        },
        {
            "name": "milestones",
            "displayName": "Milestones",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/milestones/views"
        },
        {
            "name": "organization",
            "displayName": "Organization",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/organization/views"
        },
        {
            "name": "overviewpages",
            "displayName": "Overview pages",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/overviewpages/views"
        },
        {
            "name": "permissionsets",
            "displayName": "Permission sets",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/permissionsets/views"
        },
        {
            "name": "personas",
            "displayName": "Personas",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/personas/views"
        },
        {
            "name": "processes",
            "displayName": "Processes",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views"
        },
        {
            "name": "products",
            "displayName": "Products",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/products/views"
        },
        {
            "name": "projects",
            "displayName": "Projects",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/projects/views"
        },
        {
            "name": "reportsources",
            "displayName": "Reporting",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/reportsources/views"
        },
        {
            "name": "requirements",
            "displayName": "Requirements",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/requirements/views"
        },
        {
            "name": "risks",
            "displayName": "Risks",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/risks/views"
        },
        {
            "name": "roles",
            "displayName": "Roles",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/roles/views"
        },
        {
            "name": "saleschannels",
            "displayName": "Sales channels",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/saleschannels/views"
        },
        {
            "name": "search",
            "displayName": "Search",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/search/views"
        },
        {
            "name": "stakeholders",
            "displayName": "Stakeholders",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/stakeholders/views"
        },
        {
            "name": "standards",
            "displayName": "Standards",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/standards/views"
        },
        {
            "name": "stereotypes",
            "displayName": "Stereotypes",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/stereotypes/views"
        },
        {
            "name": "strategy",
            "displayName": "Strategy",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/strategy/views"
        },
        {
            "name": "tags",
            "displayName": "Tags",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/tags/views"
        },
        {
            "name": "touchpoints",
            "displayName": "Touch Points",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/touchpoints/views"
        },
        {
            "name": "transactions",
            "displayName": "Application services",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/transactions/views"
        },
        {
            "name": "usergroups",
            "displayName": "User groups",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/usergroups/views"
        },
        {
            "name": "users",
            "displayName": "User",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/users/views"
        },
        {
            "name": "voiceofcustomers",
            "displayName": "Voice of customers",
            "views": "https://demo.symbioworld.com/pz/showcase/_api/rest/facets/voiceofcustomers/views"
        }
    ]
}

Definitions

Facet

NameTypeDescription
namestringThe name of the view.
displayNamesDictionary<int, string>The display name of the view on multiple languages.
viewsstringThe URI to retrieve the available views.

OperationResultOutput

NameType
volatilestring
permanentstring
dialogstring
inlinestring

OperationResultType

NameType
criticalstring
errorstring
warningstring
successstring
unauthorizedstring

OperationError

NameTypeDescription
errorstringThe error message.